Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: martin rudalics <[email-masked]>
Date: Sun, 25 Jun 2017 19:10:01 +0200

> I'd rather think in terms of "submargins", one per "category", and
 > having an alist of particular properties of each of those categories.

Once we do that we should try to accommodate as much as possible in the
concept we provide and I think that having ‘follow-mode’ implemented by
the display engine would be quite valuable.  So I would vote for a more
general solution that encompasses it as well.

 > Weren't menus in the terminal rendered using a certain special method,
 > different from overlays?

I think it boils down to the same underlying concept: Have the display
engine replace one text with another profiting from the restriction that
on terminals all characters are created equal.

martin